See: https://pagure.io/koji/issue/467

I'd like to drop the old ssl code from Koji. We've been using python-requests for a couple releases, which is just a better all around approach.

[note: we'll still keep the support on the legacy-py24 branch, since requests does not support py24]

So, currently planning on dropping this in 1.14. Tomas has the PR here: https://pagure.io/koji/pull-request/498

If this is going to cause you trouble, please speak up now. (Though I really doubt it will cause anyone problems, as you have to go fairly out of your way to hit that code path)